/************************************************/
/*						*/
/*      Copyright:				*/
/*	 Jean-Marc Pigeon <jmp@safe.ca>	 2009	*/
/*						*/
/************************************************/
/* This program is free software; you can 	*/
/* redistribute it and/or modify it under the 	*/
/* terms of the GNU General Public License as	*/
/* published by the Free Software Foundation	*/
/* version 2 of the License			*/
/*						*/
/* This program is distributed in the hope that */
/* it will be useful, but WITHOUT ANY WARRANTY; */
/* without even the implied warranty of		*/
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR	*/
/* PURPOSE.  See the GNU General Public License	*/
/* for more details.				*/
/*						*/
/* You should have received a copy of the GNU	*/
/* General Public License along with this 	*/
/* program; if not, write to the Free Software	*/
/* Foundation, Inc., 51 Franklin Street,	*/
/* Fifth Floor, Boston, MA  02110-1301, USA.	*/
/************************************************/
/*						*/
/*	CLRQUAR:				*/
/*	Program to remove old quarantined file.	*/
/*						*/
/************************************************/
#include	<stdlib.h>
#include	<unistd.h>
#include	<string.h>
#include	<getopt.h>
#include	<syslog.h>
#include	"subrou.h"
#include	"gesque.h"

#define	CLRQUAR	"clrquar"
/*

*/
/************************************************/
/*						*/
/*	Procedure to display the program usage	*/
/*						*/
/************************************************/
static void usage()

{
(void) fprintf(stderr,"%s Version %s\n",appname,rou_getvers());
(void) fprintf(stderr,"usage:  %s "
		      "[-b base] "
		      "[-d debug] "
		      "[-h ] "
		      "E_mail_address E-mail_ID\n",appname);
(void) fprintf(stderr,"\t\t-b base   : application working directory\n");
(void) fprintf(stderr,"\t\t-d debug  : debug level\n");
(void) fprintf(stderr,"\t\t-h        : display usage\n");
(void) fprintf(stderr,"\t\t          : if [E_mail] are missing from argv\n");
(void) fprintf(stderr,"\t\t          : info are taken from standard input\n");
(void) exit(-1);
}
/*

*/
/************************************************/
/*						*/
/*	Main Program				*/
/*						*/
/************************************************/
int main(int argc,char *argv[])

{
char c;
char *clrquar;

clrquar=CLRQUAR;
base=strdup(base);
(void) openlog(clrquar,LOG_PID,0);
while ((c=getopt(argc,argv,"b:d:hv"))!=EOF) {
  switch(c) {
    case   'b'  :
      (void) free(base);
      base=strdup(optarg);
      break;
    case   'd'  :
      debug=atoi(optarg);
      break;
    case   'v'  :
      verbose=true;
      break;
    case   'h'  :
    default     :
      (void) usage();
      break;
    }
  }
(void) rou_chgid(clrquar);
if (argc<(optind+1)) {
  char line[200];
 
  while (fgets(line,sizeof(line),stdin)!=(char *)0) {
    char *email;
    char *emid;

    email=(char *)calloc(strlen(line),sizeof(char)); 
    emid=(char *)calloc(strlen(line),sizeof(char)); 
    if (sscanf(line,"%s %s",email,emid)==2) {
      (void) que_mngquarantine(false,email,emid,true);
      }
    else {
      (void) fprintf(stderr,"<%s> invalid format\n",line); 
      }
    emid=rou_freestr(emid);
    email=rou_freestr(email);
    }
  }
else {
  int i;

  for (i=optind+1;argv[i]!=(char *)0;i++) 
    (void) que_mngquarantine(false,argv[optind],argv[optind+1],true);
  }
base=rou_freestr(base);
return 0;
}
